## qt6-grpc 6.9.1

=== debian/changelog ===
qt6-grpc (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Fix FTCBFS, thx to Helmut Grohne (Closes: #1107996).
    - Depend on a native build and instruct CMake to use it.
    - Always build tools.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 15:06:43 +0200

qt6-grpc (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Jul 2025 22:24:37 +0200

=== debian/control ===
Source: qt6-grpc
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               ccache [linux-any],
               cmake (>= 3.24~),
               libgrpc++-dev,
               libprotobuf-c-dev,
               libprotobuf-dev,
               libprotoc-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               protobuf-compiler-grpc,
               qt6-base-dev (>= 6.9.1+dfsg~),
               qt6-base-private-dev (>= 6.9.1+dfsg~),
               qt6-declarative-dev (>= 6.9.1+dfsg~),
               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
               qt6-grpc-dev:native <cross>,
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc.git
Rules-Requires-Root: no

Package: libqt6grpc6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 gRPC library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 gRPC.

Package: libqt6grpcquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 gRPC Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 gRPC Quick.

Package: libqt6protobuf6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 protocol buffers library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 protocol buffers.

Package: libqt6protobufqtcoretypes6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 protocol buffers Qt Core types library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 protocol buffers Qt Core types.

Package: libqt6protobufqtguitypes6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 procotol buffers Qt GUI types library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 protocol buffers Qt GUI types.

Package: libqt6protobufquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 protocol buffers QML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the QML library for Qt 6 protocol buffers.

Package: libqt6protobufwellknowntypes6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 gRPC protocol buffers Well Known types library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 protocol buffer Well Known types.

Package: qml6-module-qtgrpc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 gRPC QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the QML module for Qt gRPC.

Package: qml6-module-qtprotobuf
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 protocol buffers QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the QML module for Qt protocol buffers.

Package: qt6-grpc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6grpc6 (= ${binary:Version}),
         libqt6grpcquick6 (= ${binary:Version}),
         libqt6protobuf6 (= ${binary:Version}),
         libqt6protobufqtcoretypes6 (= ${binary:Version}),
         libqt6protobufqtguitypes6 (= ${binary:Version}),
         libqt6protobufquick6 (= ${binary:Version}),
         libqt6protobufwellknowntypes6 (= ${binary:Version}),
         qml6-module-qtgrpc (= ${binary:Version}),
         qml6-module-qtprotobuf (= ${binary:Version}),
         qt6-base-dev,
         qt6-grpc-tools (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 gRPC development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development headers for the gRPC library.

Package: qt6-grpc-tools
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libqt6grpc6 (= ${binary:Version}),
         libqt6protobuf6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 gRPC tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains binaries required for gRPC/protobuf generation.

Package: qt6-grpc-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 gRPC documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 gRPC.

Package: qt6-grpc-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 gRPC HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 gRPC.

Package: qt6-grpc-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 gRPC tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the Qt gRPC documentation.

Package: qt6-grpc-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 gRPC examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt gRPC submodule.

## qt6-grpc 6.9.2

=== src/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause
# Evaluate features before including repository subparts.

qt_feature_evaluate_features("${CMAKE_CURRENT_SOURCE_DIR}/protobuf/configure.cmake")
add_subdirectory(protobuf)

if(QT_FEATURE_protobufquick)
    add_subdirectory(protobufquick)
endif()

qt_feature_evaluate_features("${CMAKE_CURRENT_SOURCE_DIR}/grpc/configure.cmake")
if(QT_FEATURE_grpc)
    add_subdirectory(grpc)
    if(TARGET Qt6::Quick AND QT_FEATURE_grpcquick)
        add_subdirectory(grpcquick)
    endif()
endif()

add_subdirectory(tools)

if(TARGET Qt6::qtprotobufgen)
    if(QT_FEATURE_protobuf_wellknowntypes)
        add_subdirectory(wellknown)
    endif()
    add_subdirectory(protobufqttypes)
endif()

=== tests/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(QT_BUILD_STANDALONE_TESTS)
    # Gui is need to build and run tests on Android Platforms.
    find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS Protobuf Grpc)
    find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui Quick QuickTest)
endif()

set(CMAKE_FIND_PACKAGE_PREFER_CONFIG TRUE)
find_package(Protobuf QUIET)
find_package(gRPC QUIET)
set(QT_BUILD_TESTS_BATCHED FALSE)
qt_build_tests()

=== src/grpc/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_module(Grpc
    SOURCES
        qgrpcoperation.h qgrpcoperation_p.h qgrpcoperation.cpp
        qgrpcoperationcontext.h qgrpcoperationcontext.cpp
        qgrpccallreply.h qgrpccallreply.cpp
        qgrpcstream.h qgrpcstream.cpp
        qgrpcstatus.h qgrpcstatus.cpp
        qabstractgrpcchannel.h qabstractgrpcchannel_p.h qabstractgrpcchannel.cpp
        qgrpchttp2channel.h qgrpchttp2channel.cpp
        qgrpcclientbase.h qgrpcclientbase.cpp
        qgrpccalloptions.h qgrpccalloptions.cpp
        qgrpcchanneloptions.h qgrpcchanneloptions.cpp
        qtgrpcglobal.h
        qtgrpclogging_p.h qtgrpclogging.cpp
        qtgrpcnamespace.h
        qgrpcserializationformat.h qgrpcserializationformat.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::NetworkPrivate
        Qt::ProtobufPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Protobuf
        Qt::Network
    QT_LICENSE_ID QT_COMMERCIAL_OR_GPL3
)

qt_internal_add_docs(Grpc
    doc/qtgrpc.qdocconf
)

# TODO: Remove this and fix it in qtbase's qt_internal_find_tool directly
if(QT_HOST_PATH AND Qt6::qtgrpcgen IN_LIST Qt6GrpcTools_TARGETS AND NOT QT_FORCE_BUILD_TOOLS)
    qt_record_extra_qt_main_tools_package_dependency(Grpc GrpcTools "${PROJECT_VERSION}")
endif()

=== src/grpcquick/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(GrpcQuick
    URI QtGrpc
    VERSION ${CMAKE_PROJECT_VERSION}
    PLUGIN_TARGET grpcquickplugin
    CLASS_NAME GrpcQuickPlugin
    SOURCES
        qqmlabstractgrpcchannel.h qqmlabstractgrpcchannel_p.h qqmlabstractgrpcchannel.cpp
        qqmlgrpcnamespace_p.h
        qqmlgrpchttp2channel_p.h qqmlgrpchttp2channel.cpp
        qqmlgrpcchanneloptions_p.h qqmlgrpcchanneloptions.cpp
        qqmlgrpccalloptions.h qqmlgrpccalloptions.cpp
        qqmlgrpcmetadata_p.h qqmlgrpcmetadata.cpp
        qqmlgrpcfunctionalhandlers.h qqmlgrpcfunctionalhandlers.cpp
        qtgrpcquicklogging_p.h qtgrpcquicklogging.cpp
        qtqmlgrpcstreamsender.h qtqmlgrpcstreamsender.cpp
    LIBRARIES
        Qt::Core
        Qt::Grpc
    PUBLIC_LIBRARIES
        Qt::Quick
    QT_LICENSE_ID QT_COMMERCIAL_OR_GPL3
)

qt_internal_extend_target(GrpcQuick CONDITION QT_FEATURE_qml_ssl
    LIBRARIES
        Qt::QmlNetwork
        Qt::QmlNetworkPrivate
)

=== src/protobuf/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_module(Protobuf
    SOURCES
        protobuffieldpresencechecker_p.h
        protobufscalarserializers_p.h protobufscalarserializers_p.cpp
        protobufscalarjsonserializers_p.h
        qtprotobufglobal.h
        qabstractprotobufserializer.cpp qabstractprotobufserializer.h
        qprotobufdeserializerbase_p.h qprotobufdeserializerbase.cpp
        qprotobufjsonserializer.cpp qprotobufjsonserializer.h qprotobufjsonserializer_p.h
        qprotobuflazymessagepointer.h
        qprotobufmessage.cpp qprotobufmessage.h qprotobufmessage_p.h
        qprotobufobject.h
        qprotobufoneof.cpp qprotobufoneof.h
        qprotobufpropertyordering.cpp qprotobufpropertyordering.h
        qprotobufpropertyorderingbuilder_p.h
        qprotobufregistration.cpp qprotobufregistration.h qprotobufregistration_p.h
        qprotobufrepeatediterator.cpp qprotobufrepeatediterator.h
        qprotobufselfcheckiterator_p.h
        qprotobufserializer.cpp qprotobufserializer.h qprotobufserializer_p.h
        qtprotobufdefs_p.h
        qtprotobuflogging.cpp qtprotobuflogging_p.h
        qtprotobufserializerhelpers.cpp qtprotobufserializerhelpers_p.h
        qtprotobuftypes.cpp qtprotobuftypes.h
        qprotobufserializerbase_p.h qprotobufserializerbase.cpp
    EXTRA_CMAKE_FILES
        "${CMAKE_CURRENT_SOURCE_DIR}/QtProtobufProperties.cmake.in"
    PUBLIC_LIBRARIES
        Qt::Core
    LIBRARIES
        Qt::CorePrivate
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
)

qt_internal_add_docs(Protobuf
    doc/qtprotobuf.qdocconf
)

# Suppress 'No relevant classes found. No output generated.' warning
set_source_files_properties(qprotobufobject.h PROPERTIES SKIP_AUTOMOC ON)

if(CMAKE_VERSION GREATER_EQUAL 3.27)
    set_target_properties(Protobuf PROPERTIES INTERFACE_AUTOMOC_MACRO_NAMES "Q_PROTOBUF_OBJECT")
endif()

# TODO: Remove this and fix it in qtbase's qt_internal_find_tool directly
if(QT_HOST_PATH AND Qt6::qtprotobufgen IN_LIST Qt6ProtobufTools_TARGETS
    AND NOT QT_FORCE_BUILD_TOOLS)
    qt_record_extra_qt_main_tools_package_dependency(Protobuf ProtobufTools "${PROJECT_VERSION}")
endif()

=== src/protobufquick/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(ProtobufQuick
    URI QtProtobuf
    VERSION ${CMAKE_PROJECT_VERSION}
    PLUGIN_TARGET protobufquickplugin
    CLASS_NAME ProtobufQuickPlugin
    SOURCES
        qqmlprotobuftypes_p.h
    LIBRARIES
        Qt::Core
        Qt::Protobuf
        Qt::Qml
    PUBLIC_LIBRARIES
        Qt::Quick
)

=== src/tools/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_skip_sanitizer()

# Skip building qtprotoccommon when not building tools
if((QT_FEATURE_qtprotobufgen OR QT_FEATURE_qtgrpcgen) AND
    TARGET protobuf::libprotoc AND TARGET protobuf::libprotobuf)
    add_subdirectory(qtprotoccommon)
endif()

if(QT_FEATURE_qtprotobufgen OR
    (QT_HOST_PATH AND Qt6::qtprotobufgen IN_LIST Qt6ProtobufTools_TARGETS
     AND NOT QT_FORCE_BUILD_TOOLS))

    add_subdirectory(qtprotobufgen)
elseif(NOT QT_FEATURE_qtprotobufgen AND QT_FORCE_BUILD_TOOLS)
    # TODO: We ignore the QT_FORCE_BUILD_TOOLS option for this tool to pass the CI check.
    # See QTBUG-110849 for details.
    message(WARNING "You are trying to force build the qtprotobufgen tool, but its dependencies"
        " are missing. The tool build is disabled.")
endif()

if(QT_FEATURE_qtgrpcgen OR
    (QT_HOST_PATH AND Qt6::qtgrpcgen IN_LIST Qt6GrpcTools_TARGETS
     AND NOT QT_FORCE_BUILD_TOOLS))
    add_subdirectory(qtgrpcgen)
elseif(NOT QT_FEATURE_qtprotobufgen AND QT_FORCE_BUILD_TOOLS)
    # TODO: We ignore the QT_FORCE_BUILD_TOOLS option for this tool to pass the CI check.
    # See QTBUG-110849 for details.
    message(WARNING "You are trying to force build the qtgrpcgen tool, but its dependencies"
        " are missing. The tool build is disabled.")
endif()

# Needs to be called at the end after all relevant target have created.
qt_internal_skip_linking_sanitizer()

=== src/wellknown/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_protobuf_module(ProtobufWellKnownTypes
    SOURCES
        qtprotobufwellknowntypesglobal.h
        qprotobufanysupport.cpp qprotobufanysupport.h
        qprotobufwellknowntypesjsonserializers_p.h qprotobufwellknowntypesjsonserializers.cpp
    PUBLIC_LIBRARIES
        Qt::Protobuf
    EXTRA_CMAKE_INCLUDES
        # Generated inside the qt_internal_add_protobuf_wellknown_types call
        "${QT_CMAKE_EXPORT_NAMESPACE}ProtobufWellKnownTypesExtras.cmake"
    LIBRARIES
        Qt::ProtobufPrivate
)

qt_internal_add_protobuf_wellknown_types(ProtobufWellKnownTypes
    TYPES
        any
        api
        duration
        empty
        field_mask
        source_context
        struct
        timestamp
        type
        wrappers
)

=== tests/benchmarks/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(QT_FEATURE_qtprotobufgen)
    add_subdirectory(protobuf)
endif()

=== examples/grpc/magic8ball/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(Magic8Ball LANGUAGES CXX)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/grpc/magic8ball")

find_package(Qt6 REQUIRED COMPONENTS
    Core
    Protobuf
    ProtobufQuick
    Grpc
    GrpcQuick
    Quick
)

qt_standard_project_setup()

qt_add_executable(magic8ball
    main.cpp
)

qt_add_protobuf(magic8ball_plugin
    PROTO_FILES
        proto/exampleservice.proto
    QML
)

qt_add_grpc(magic8ball_plugin CLIENT
    PROTO_FILES
        proto/exampleservice.proto
    QML
)

set_target_properties(magic8ball PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

qt_add_qml_module(magic8ball
    URI qtgrpc.examples.magic8ball
    VERSION 1.0
    RESOURCE_PREFIX "/qt/qml"
    QML_FILES
        "AnimatedAnswer.qml"
        "MagicText.qml"
        "MagicBall.qml"
        "Main.qml"
        "ScaleAnimation.qml"
)

target_link_libraries(magic8ball PRIVATE
    Qt6::Core
    Qt6::Quick
    Qt6::Protobuf
    Qt6::Grpc
    Qt6::GrpcQuick
    magic8ball_plugin
)

install(TARGETS magic8ball
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

add_subdirectory(server)
if(TARGET magic8ball_server)
    add_dependencies(magic8ball magic8ball_server)
else()
    message(WARNING "${PROJECT_NAME} server requires gRPC. Please install the C++ libraries in your"
        " system or use vcpkg:"
        "\n${QT${QT_VERSION_MAJOR}_INSTALL_BINS}/qt-cmake -S ${CMAKE_CURRENT_SOURCE_DIR} \\"
        "\n-DQT_USE_VCPKG=TRUE")
endif()

=== examples/protobuf/sensors/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(protobuf_sensors LANGUAGES CXX)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/protobuf/sensors")

find_package(Qt6 REQUIRED COMPONENTS Core Protobuf Widgets Network)

qt_standard_project_setup()

add_subdirectory(emulator)
add_subdirectory(client)

#! [0]
qt_add_protobuf(protobuf_sensors
    PROTO_FILES
        sensors.proto
        tlv.proto
)
#! [0]

install(TARGETS protobuf_sensors
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/protobufqttypes/protobufqtcoretypes/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_protobuf_module(ProtobufQtCoreTypes
    SOURCES
        qtprotobufqtcoretypes.cpp
        qtprotobufqtcoretypes.h
        qtprotobufqtcoretypesglobal.h
        qtprotobufqttypescommon_p.h
    LIBRARIES
        Qt::Core
        Qt::Protobuf
        Qt::ProtobufPrivate
    PROTO_FILES
        QtCore/QtCore.proto
    PRIVATE_HEADER_FILTERS
        ".*\\.qpb\\.h"
)

=== debian/changelog ===
qt6-grpc (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Tue, 28 Oct 2025 21:50:01 +0100

qt6-grpc (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 20:55:49 +0200

qt6-grpc (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Sep 2025 21:07:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               ccache [linux-any],
                cmake (>= 3.24~),
                libgrpc++-dev,
                libprotobuf-c-dev,
@@ -16,10 +15,10 @@
                pkg-kde-tools,
                pkgconf,
                protobuf-compiler-grpc,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-base-private-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-base-private-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
                qt6-grpc-dev:native <cross>,
 Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                      qt6-documentation-tools (>= 6.9~) <!nodoc>,
@@ -27,7 +26,6 @@
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc.git
-Rules-Requires-Root: no
 
 Package: libqt6grpc6
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr -DQT_HOST_PATH_CMAKE_DIR=/usr/lib/${DEB_BUILD_MULTIARCH}/cmake -DQT_FORCE_BUILD_TOOLS=ON
endif

# enable ccache with corresponding build-profile
ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
	extra_cmake_args += -DQT_USE_CCACHE=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-grpc 6.9.3

=== debian/changelog ===
qt6-grpc (6.9.3-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 01:09:25 +0000

qt6-grpc (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-grpc (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 16:25:11 +1000

qt6-grpc (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:07:37 +1000

qt6-grpc (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 01 May 2025 23:45:09 +1000

qt6-grpc (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:18:04 +1000

qt6-grpc (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:19:13 +1000

qt6-grpc (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:52:18 +1000

qt6-grpc (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 20:42:55 +1000

qt6-grpc (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 10:26:28 +1000

qt6-grpc (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 19:53:39 +1000

qt6-grpc (6.5.3-0neon) UNRELEASED; urgency=medium

  * New release

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Apr 2023 16:58:31 +0100

=== debian/control ===
Source: qt6-grpc
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgrpc++-dev,
               libgrpc-dev,
               libprotobuf-dev,
               libprotoc-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               protobuf-compiler,
               protobuf-compiler-grpc,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               zlib1g-dev
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-grpc.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-grpc
Maintainer: Neon CI <neon@kde.org>

Package: qt6-grpc
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: protobuf-compiler-grpc, ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt6grpc6-plugins, libqt6grpcquick6, qml6-module-qtgrpc
Replaces: libqt6grpc6,
          libqt6grpc6-plugins,
          libqt6grpcquick6,
          libqt6protobuf6,
          libqt6protobufqtcoretypes6,
          libqt6protobufqtguitypes6,
          libqt6protobufwellknowntypes6,
          qml6-module-qtgrpc
Description: translations for Qt 6
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the QtGrpc and QtProtobuf modules.

Package: qt6-grpc-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-grpc (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-grpc-doc-dev, qt6-grpc-examples
Description: Qt 6 shader tools module - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 6 applications
 using the QtGrpc and QtProtobuf modules.

Package: qt6-grpc-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-grpc-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-grpc-doc-html
Description: Qt 6 shader tools module - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files to help build Qt 6 applications
 using the QtGrpc and QtProtobuf modules.

Package: libqt6grpc6
Architecture: all
Depends: qt6-grpc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6protobuf6
Architecture: all
Depends: qt6-grpc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6protobufqtcoretypes6
Architecture: all
Depends: qt6-grpc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6protobufqtguitypes6
Architecture: all
Depends: qt6-grpc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6protobufwellknowntypes6
Architecture: all
Depends: qt6-grpc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-grpc-doc-dev
Architecture: all
Depends: qt6-grpc-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-grpc-doc-html
Architecture: all
Depends: qt6-grpc-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-grpc-examples
Architecture: all
Depends: qt6-grpc-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-grpc 6.10.0

=== debian/changelog ===
qt6-grpc (6.10.0-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 09:00:29 +0000

qt6-grpc (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:33:43 +1000

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
                pkgconf,
                protobuf-compiler,
                protobuf-compiler-grpc,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
                zlib1g-dev
-Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
-                     qt6-tools (>= 6.9~) <!nodoc>
+Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
+                     qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,26 +1,29 @@
 #!/usr/bin/make -f
+export DH_VERBOSE = 1
 
+# Use already defined DEB_HOST_* variables.
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
-# cross-builds
+# QT_HOST_PATH isn't passed in cross-builds
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
-	extra_cmake_args += -DQT_HOST_PATH=/usr -DQT_HOST_PATH_CMAKE_DIR=/usr/lib/${DEB_BUILD_MULTIARCH}/cmake -DQT_FORCE_BUILD_TOOLS=ON
-endif
-
-# enable ccache with corresponding build-profile
-ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
-	extra_cmake_args += -DQT_USE_CCACHE=ON
+	cmake_extra_args += \
+		-DQT_HOST_PATH=/usr \
+		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
+		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
 endif
 
 %:
-	dh $@ --buildsystem=cmake+ninja
+	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--log-level=STATUS \
+		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
+		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
+		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
+		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)
 
 override_dh_auto_build-indep:

## qt6-grpc 6.10.1

=== debian/changelog ===
qt6-grpc (6.10.1-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 05:42:55 +0000

qt6-grpc (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:03 +1000

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
                pkgconf,
                protobuf-compiler,
                protobuf-compiler-grpc,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
                zlib1g-dev
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                      qt6-tools (>= 6.10~) <!nodoc>

## qt6-grpc 6.10.2

=== tests/auto/grpc/client/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(shared)

add_subdirectory(deadline)
add_subdirectory(unarycall)
add_subdirectory(serverstream)
add_subdirectory(clientstream)
add_subdirectory(bidistream)
if(QT_FEATURE_ssl AND NOT WIN32)
    add_subdirectory(ssl)
endif()
if(TARGET grpc_mock_server)
    add_subdirectory(end2end)
endif()

=== tests/auto/grpc/client/shared/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

find_program(go NAMES go go.exe)

if(go AND QT_ALLOW_DOWNLOAD AND NOT CMAKE_CROSSCOMPILING)
    add_subdirectory(test_server_go)
    set(qt_internal_grpc_use_golang_test_server TRUE)
else()
    add_subdirectory(test_server)
endif()
add_subdirectory(client_service)
add_subdirectory(client_test_common)
add_subdirectory(mockserver)

=== tests/auto/grpc/client/shared/mockserver/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

set(CMAKE_FIND_PACKAGE_PREFER_CONFIG TRUE)

find_package(Protobuf)
find_package(gRPC)

if(CMAKE_CROSSCOMPILING)
    find_program(grpc_cpp_plugin grpc_cpp_plugin NO_CACHE)
elseif(TARGET gRPC::grpc_cpp_plugin)
    set(grpc_cpp_plugin $<TARGET_FILE:gRPC::grpc_cpp_plugin>)
else()
    set(grpc_cpp_plugin "")
endif()

if(NOT grpc_cpp_plugin OR NOT TARGET WrapProtoc::WrapProtoc
    OR NOT TARGET gRPC::grpc++)
    message(WARNING "Dependencies of 'grpc_mock_server' not found. Skipping.")
    return()
endif()

add_library(grpc_mock_server STATIC mockserver.h mockserver.cpp)
target_include_directories(grpc_mock_server
    PUBLIC
        "${CMAKE_CURRENT_LIST_DIR}"
)

target_link_libraries(grpc_mock_server
    PUBLIC
        protobuf::libprotobuf
        gRPC::grpc++
        Qt::Test
)

=== debian/changelog ===
qt6-grpc (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Mon, 02 Feb 2026 22:23:59 +0100

=== debian/control ===
Source: qt6-grpc
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgrpc++-dev,
               libprotobuf-c-dev,
               libprotobuf-dev,
               libprotoc-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               protobuf-compiler-grpc,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-grpc-dev:native <cross>,
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc.git

Package: libqt6grpc6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 gRPC library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 gRPC.

Package: libqt6grpcquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 gRPC Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 gRPC Quick.

Package: libqt6protobuf6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 protocol buffers library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 protocol buffers.

Package: libqt6protobufqtcoretypes6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 protocol buffers Qt Core types library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 protocol buffers Qt Core types.

Package: libqt6protobufqtguitypes6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 procotol buffers Qt GUI types library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 protocol buffers Qt GUI types.

Package: libqt6protobufquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 protocol buffers QML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the QML library for Qt 6 protocol buffers.

Package: libqt6protobufwellknowntypes6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 gRPC protocol buffers Well Known types library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 protocol buffer Well Known types.

Package: qml6-module-qtgrpc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 gRPC QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the QML module for Qt gRPC.

Package: qml6-module-qtprotobuf
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 protocol buffers QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the QML module for Qt protocol buffers.

Package: qt6-grpc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6grpc6 (= ${binary:Version}),
         libqt6grpcquick6 (= ${binary:Version}),
         libqt6protobuf6 (= ${binary:Version}),
         libqt6protobufqtcoretypes6 (= ${binary:Version}),
         libqt6protobufqtguitypes6 (= ${binary:Version}),
         libqt6protobufquick6 (= ${binary:Version}),
         libqt6protobufwellknowntypes6 (= ${binary:Version}),
         qml6-module-qtgrpc (= ${binary:Version}),
         qml6-module-qtprotobuf (= ${binary:Version}),
         qt6-base-dev,
         qt6-grpc-tools (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 gRPC development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development headers for the gRPC library.

Package: qt6-grpc-tools
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libqt6grpc6 (= ${binary:Version}),
         libqt6protobuf6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 gRPC tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains binaries required for gRPC/protobuf generation.

Package: qt6-grpc-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 gRPC documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 gRPC.

Package: qt6-grpc-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 gRPC HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 gRPC.

Package: qt6-grpc-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 gRPC tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the Qt gRPC documentation.

Package: qt6-grpc-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 gRPC examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt gRPC submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtgrpc-everywhere-src-(.*)\.tar\.xz
